### Method

# Gio FileInfo get_access_date_time

since: 2.70

#### Declaration [src]

    GDateTime*
    g_file_info_get_access_date_time (
      GFileInfo* info
    )

#### Description [src]

Gets the access time of the current `info` and returns it as a `GDateTime`.

It is an error to call this if the `GFileInfo` does not contain `G_FILE_ATTRIBUTE_TIME_ACCESS`. If `G_FILE_ATTRIBUTE_TIME_ACCESS_USEC` is provided, the resulting `GDateTime` will additionally have microsecond precision.

If nanosecond precision is needed, `G_FILE_ATTRIBUTE_TIME_ACCESS_NSEC` must be queried separately using g_file_info_get_attribute_uint32().

Available since: 2.70

#### Return value

Type: `GDateTime`

Access time, or `NULL` if unknown.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.